<template>
  <scroll-view class="h-full bg-white" scroll-y="true">
    <view class="p-15 text-base text-dark leading-normal" style="white-space: pre-wrap;">
      {{ content }}
    </view>
  </scroll-view>
</template>
<script setup>
import { ref } from 'vue';
import { onLoad } from "@dcloudio/uni-app";

import privacy from './privacy-policy.js';
import userAgreement from './user-agreement.js';

const content = ref('');

onLoad((options) => {
  if (options.type === 'privacyPolicy') {
    content.value = privacy;
    uni.setNavigationBarTitle({
      title: '隐私政策'
    })
  } else if (options.type === 'userAgreement') {
    content.value = userAgreement;
    uni.setNavigationBarTitle({
      title: '用户协议'
    })
  }
})
</script>